org.eclipse.viatra.query.runtime.rete.eval

## Class EvaluatorCore.FunctionEvaluatorCore

- java.lang.Object
- - org.eclipse.viatra.query.runtime.rete.eval.EvaluatorCore
  - - org.eclipse.viatra.query.runtime.rete.eval.EvaluatorCore.FunctionEvaluatorCore

- Enclosing class:
    EvaluatorCore

      public static class EvaluatorCore.FunctionEvaluatorCore
      extends EvaluatorCore

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.viatra.query.runtime.rete.eval.EvaluatorCore

      `EvaluatorCore.FunctionEvaluatorCore, EvaluatorCore.PredicateEvaluatorCore`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected boolean` | `isUnwinding`

    - ### Fields inherited from class org.eclipse.viatra.query.runtime.rete.eval.EvaluatorCore

      `evaluator, evaluatorNode, logger, runtimeContext, sourceTupleWidth`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FunctionEvaluatorCore(org.apache.log4j.Logger logger, IExpressionEvaluator evaluator, java.util.Map<java.lang.String,java.lang.Integer> parameterPositions, int sourceTupleWidth)`
    `FunctionEvaluatorCore(org.apache.log4j.Logger logger, IExpressionEvaluator evaluator, java.util.Map<java.lang.String,java.lang.Integer> parameterPositions, int sourceTupleWidth, boolean isUnwinding)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.lang.String` | `evaluationKind()`
    `java.lang.Iterable<Tuple>` | `performEvaluation(Tuple input)`

    - ### Methods inherited from class org.eclipse.viatra.query.runtime.rete.eval.EvaluatorCore

      `errorResult, evaluateTerm, init, prettyPrintTuple`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### isUnwinding

          protected final boolean isUnwinding

      Since:
        2.4

  - ### Constructor Detail

    - #### FunctionEvaluatorCore

          public FunctionEvaluatorCore(org.apache.log4j.Logger logger,
                                       IExpressionEvaluator evaluator,
                                       java.util.Map<java.lang.String,java.lang.Integer> parameterPositions,
                                       int sourceTupleWidth)

    - #### FunctionEvaluatorCore

          public FunctionEvaluatorCore(org.apache.log4j.Logger logger,
                                       IExpressionEvaluator evaluator,
                                       java.util.Map<java.lang.String,java.lang.Integer> parameterPositions,
                                       int sourceTupleWidth,
                                       boolean isUnwinding)

      Since:
        2.4

  - ### Method Detail

    - #### performEvaluation

          public java.lang.Iterable<Tuple> performEvaluation(Tuple input)

      Specified by:
        `performEvaluation` in class `EvaluatorCore`

    - #### evaluationKind

          protected java.lang.String evaluationKind()

      Specified by:
        `evaluationKind` in class `EvaluatorCore`